UMD-1 UMD-1.0.0

From EGIWiki
Revision as of 12:45, 21 January 2015 by Krakow (talk | contribs)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search
Alert.png This article is Deprecated and should no longer be used, but is still available for reasons of reference.


UMD 1.0: Additional information for provided products

While undergoing the EGI Software Provisioning process, some installation issues and known problems were detected and documented. This document provides the same information, in one single place, where site admins may learn about the provided software prior to installation or, with later updates to UMD -1, upgrading their systems.

Each section that follows will be linked by the relevant sections provided in the EGI Software Repository for this release of UMD.

emi.ui.sl5.x86_64

  • Additional Details:No issues found during EGI's Software Provisioning
  • Installation Notes:
  • Known Issues:
    • before using lcg-* commands users must export CSEC_NOTHREAD:
      • #export CSEC_NOTHREAD=1
    • dCache clients (srm* commands) need to use Oracle/Sun JDK. Oracle/Sun JDK is the default java installed on the node.
    • lcg_utils/GFAL bug: LCG_GFAL_INFOSYS with list of 2 or more topBDIIs returns an error message: No such file or directory
    • Due to the buggy libtar library which is dynamically linked to glite-wms-job-submit command some of the input files in InputSandbox are not transfered correctly to WMS depending on the length of LB hostname in JobID.
      • https://ggus.eu/tech/ticket_show.php?ticket=76867
      • Quick workaround is to add some characters to filenames of input files if needed. But it's a bit tricky because WMS can randomly include '_' character(s) to JobID and they are translated to '_5f' sequence.


emi.apel.sl5.x86_64

  • Additional Details:No issues found during EGI's Software Provisioning
  • Installation Notes:
    • Mysql server must be installed and Mysql root passwd must be set before yaim configuration:
#yum install mysql-server
#service mysqld start
#chkconfig --level 345 mysqld on
#Mysqladmin –u root password ‘<a-good-password>’
  • Known Issues:
    • Problems publishing data to central apel server:
      • GGUS ticket: https://ggus.eu/ws/ticket_info.php?ticket=71814
      • Workaround is to change the timeout to a higher number: in /opt/glite/etc/glite-apel-publisher/publisher-config-yaim.xml. By default, it is set to 30 minutes (1800000 milliseconds), extending it, for example, to 7200000.


emi.argus.sl5.x86_64

  • Additional Details:No issues found during EGI's Software Provisioning
  • Installation Notes:
    • In case of reinstallation, save your policy in a file to be loaded later with “pap-admin apf”. In case policy cache stands for a while, once policies are loaded don’t forgot to reload policies and clear pdp cache responses with:
/etc/init.d/argus-pdp reloadpolicy
/etc/init.d/argus-pepd clearcache 


emi.bdii-site.sl5.x86_64

  • Additional Details:No issues found during EGI's Software Provisioning
  • Installation Notes:No issues found during EGI's Software Provisioning
  • Known Issues::
    • Bug in UMD-1 glite-yaim-bdii-4.3.3, site-BDII and top-BDII correctly are not correctly configured. The bdii service is not available after a reboot due to a bug in /opt/glite/yaim/functions/config_bdii_5.2: the bdii service is just configured with:
/sbin/chkconfig --add bdii

As the chkconfig-documentation states, this statement does *NOT* lead to the service being started at boot time. An addidtional "chkconfig bdii on" is needed to do this. The quick fix is to do after yaim configuration:

/sbin/chkconfig bdii on
yum install openldap2.4.x86_64 openldap2.4-servers.x86_64
SLAPD=/usr/sbin/slapd2.4 # add this variable in your site-info.def
chkconfig bdii on


emi.bdii-top.sl5.x86_64

  • Additional Details:No issues found during EGI's Software Provisioning
  • Installation Notes:No issues found during EGI's Software Provisioning
  • Known Issues:
    • Bug in UMD-1 glite-yaim-bdii-4.3.3, site-BDII and top-BDII correctly are not correctly configured. The bdii service is not available after a reboot due to a bug in /opt/glite/yaim/functions/config_bdii_5.2: the bdii service is just configured with:
/sbin/chkconfig --add bdii

As the chkconfig-documentation states, this statement does *NOT* lead to the service being started at boot time. An addidtional "chkconfig bdii on" is needed to do this. The quick fix is to do after yaim configuration:

/sbin/chkconfig bdii on


emi.cream.sl5.x86_64

  • Additional Details:
    • New yaim variable USE_ARGUS If the value for this variable is yes, ARGUS is used as authorization system for the CREAM CE. If instead the value for this variable is no, the old authorization systems (i.e. gJAF, LCAS, LCMAPS) are used.
  • Installation Notes:
    • Centos5 specific issue: mm-mysql package depends explicitly on JDK (from Oracle). This makes the installation fail with a dependency problem if JDK is not installed. A workaround is to manually download and install the jdk package from Oracle.
    • MYSQL_PASSWORD variable is a mandatory for yaim cream configuration.
  • Known Issues:
pbs_mom: LOG_ERROR::Operation now in progress (115) in scan_for_exiting, cannot connect to port 1023 in client_to_svr - connection refused


emi.cluster.sl5.x86_64

  • Additional Details:No issues found during EGI's Software Provisioning
  • Installation Notes:No issues found during EGI's Software Provisioning
  • Known Issues:No issues found during EGI's Software Provisioning


emi.lsf-utils.sl5.x86_64

  • Additional Details:No issues found during EGI's Software Provisioning
  • Installation Notes:No issues found during EGI's Software Provisioning
  • Known Issues:
    • Dynamic info lsf uninitialized value on an EMI Cream-CE. GGUS: https://ggus.eu/ws/ticket_info.php?ticket=71613.
    • In /var/log/bdii/bdii-update.log displays this "warning" (Use of uninitialized value in concatenation (.) or string at /usr/bin/glite-info-dynamic-lsf line 1027 (#1)). To suppress this warning assign a defined value to your variables.


emi.torque-utils.sl5.x86_64

  • Additional Details:No issues found during EGI's Software Provisioning
  • Installation Notes:No issues found during EGI's Software Provisioning
  • Known Issues:No issues found during EGI's Software Provisioning


emi.torque-client.sl5.x86_64

  • Additional Details:No issues found during EGI's Software Provisioning
  • Installation Notes:No issues found during EGI's Software Provisioning
  • Known Issues:No issues found during EGI's Software Provisioning



emi.torque-server.sl5.x86_64

  • Additional Details:No issues found during EGI's Software Provisioning
  • Installation Notes:No issues found during EGI's Software Provisioning
  • Known Issues:No issues found during EGI's Software Provisioning


emi.dgas.sl5.x86_64

  • Additional Details:No issues found during EGI's Software Provisioning
  • Installation Notes:No issues found during EGI's Software Provisioning
  • Known Issues:No issues found during EGI's Software Provisioning


emi.dpm.sl5.x86_64

  • Additional Details:No issues found during EGI's Software Provisioning
  • Installation Notes:
    • Correct metapackage is:
yum install emi-dpm_mysql
    • VO default dirs are not created: An issue was found into /etc/cron.monthly/create-default-dirs-DPM.sh script. GGUS ticket: https://ggus.eu/tech/ticket_show.php?ticket=71357. LCG_LOCATION variable is not defined and the script fails to find DPM binaries. To solve this issue DPM administrators MUST define LCG_LOCATION inside create-default-dirs-DPM.sh. As example:
LCG_LOCATION=/usr
    • In a fresh install mysql server must be installed before yaim configuration.
    • In a fresh install /etc/cron.monthly/create-default-dirs-DPM.sh MUST be executed after yaim configuration.
    • SL 5.6 uses user and group ids which cause conflicts with those in /opt/glite/yaim/examples/edgusers.conf (e. g. group avahi-autoipd:x:156: conflicts with group infosys ):
    • Workaround is to use a different edgusers.conf (set variable EDGUSERS in site-info.def)
  • Known Issues:
    • After yaim runs manually set “chkconfig bdii on” and “chkconfig ldap on”



emi.glexec_wn.sl5.x86_64

  • Additional Details:No issues found during EGI's Software Provisioning
  • Installation Notes:
    • Run ldconfig after each update, as the packages don't seem to do this by themselves.
    • All services are recommended to be restarted. gLExec is an exception, as it is not a service.
    • Glexec yaim plugin contains syntax errors: GGUS ticket: https://ggus.org/tech/ticket_show.php?ticket=71569
    • When trying to run the yaim configuration for glexec wn, yaim complains with the following error: /opt/glite/yaim/bin/../defaults/glite-glexec_wn.post: line 66: unexpected EOF while looking for matching `"' /opt/glite/yaim/bin/../defaults/glite-glexec_wn.post: line 77: syntax error: unexpected end of file.
  • Known Issues:
    • This version of C-PEP needs to be tested more on root-squashed environments.
    • The verify-proxy plugins fails to verify Terena eScience Personal certificate chains deeper then 5 certificates. 5 is ok, 6 is not.


emi.lb.sl5.x86_64

  • Additional Details:No issues found during EGI's Software Provisioning
  • Installation Notes:
    • Job registration has been proven to work correctly with an EMI WMS and a glite3.1 WMS.
    • bdii is started when configured with yaim, but not included in gLiteservices to init upon restart. GGUS ticket:https://ggus.eu/tech/ticket_show.php?ticket=71448
      • If needed, use /sbin/service bdii restart to start bdii service.
  • Known Issues:
    • Due to faulty DNS over IPv6 resolution in the c-ares library (v. 1.6.0), L&B does not work in most scenarios involving IPv6-only machines. Upgrade c-ares to 1.7.3 and relaunch yaim to get full IPv6 functionality.


emi.voms_mysql.sl5.x86_64

  • Additional Details:No issues found during EGI's Software Provisioning
  • Installation Notes:No issues found during EGI's Software Provisioning
  • Known Issues:
    • The VO AUPs (for example https://<VOMS_HOST>:8443/voms/<VO>/aup/load.action) aren't shown because voms-admin is still pointing to a path that doesn't exist any more: /var/glite/etc/voms-admin/<VO>/vo-aup.txt..
      • the workaround proposed for the AUP problem is to update the table.
mysql> select * from aup_version;
mysql> update aup_version set url="file:/etc/voms-admin/<VO>/vo-aup.txt" where url="file:/var/glite/etc/voms-admin/<VO>/vo-aup.txt";     


emi.wn.sl5.x86_64

  • Additional Details:No issues found during EGI's Software Provisioning
  • Installation Notes:
yum install python-ldap opendlap-clients
#update-alternatives --install /usr/bin/java java /usr/java/default/bin/java 2000 \
                           --slave /usr/bin/keytool keytool /usr/java/default/bin/keytool \
                           --slave /usr/bin/rmiregistry rmiregistry /usr/java/default/bin/rmiregistry \
                           --slave /usr/lib/jvm/jre jre /usr/java/default/jre


emi.unicore-gateway.sl5.x86_64

  • Additional Details:No issues found during EGI's Software Provisioning
  • Installation Notes:No issues found during EGI's Software Provisioning
  • Known Issues:No issues found during EGI's Software Provisioning


emi.unicore-client.sl5.x86_64

  • Additional Details:No issues found during EGI's Software Provisioning
  • Installation Notes:No issues found during EGI's Software Provisioning
  • Known Issues:No issues found during EGI's Software Provisioning


emi.unicore-hila.sl5.x86_64

  • Additional Details:No issues found during EGI's Software Provisioning
  • Installation Notes:No issues found during EGI's Software Provisioning
  • Known Issues:
    • HiLA shell doesn't write log files, messages are displayed directly in the command line.


emi.unicore-xuudb.sl5.x86_64

  • Additional Details:No issues found during EGI's Software Provisioning
  • Installation Notes:No issues found during EGI's Software Provisioning
  • Known Issues:No issues found during EGI's Software Provisioning


emi.unicore-uvos.sl5.x86_64

  • Additional Details:No issues found during EGI's Software Provisioning
  • Installation Notes:No issues found during EGI's Software Provisioning
  • Known Issues:No issues found during EGI's Software Provisioning


emi.unicore-ws.sl5.x86_64

  • Additional Details:No issues found during EGI's Software Provisioning
  • Installation Notes:No issues found during EGI's Software Provisioning
  • Known Issues:No issues found during EGI's Software Provisioning


emi.unicore-tsi.sl5.x86_64

  • Additional Details:No issues found during EGI's Software Provisioning
  • Installation Notes:No issues found during EGI's Software Provisioning
  • Known Issues:No issues found during EGI's Software Provisioning


emi.proxyrenewal.sl5.x86_64

  • Additional Details:No issues found during EGI's Software Provisioning
  • Installation Notes:No issues found during EGI's Software Provisioning
  • Known Issues:
    • It is worth noting that MyProxy in its standard setup generates usage statistics and sends that information to MyProxy developers (outside the scope of EMI).


emi.argus-ees.sl5.x86_64

  • Additional Details: This package is included into ARGUS product. Read ARGUS release notes for further information.
  • Installation Notes:No issues found during EGI's Software Provisioning
  • Known Issues:No issues found during EGI's Software Provisioning


emi.unicore-registry.sl5.x86_64

  • Additional Details:No issues found during EGI's Software Provisioning
  • Installation Notes:No issues found during EGI's Software Provisioning
  • Known Issues:No issues found during EGI's Software Provisioning


emi.arc-client.sl5.x86_64


emi.lfc_mysql.sl5.x86_64

  • Additional Details:No issues found during EGI's Software Provisioning
  • Installation Notes:No issues found during EGI's Software Provisioning
  • Known Issues:No issues found during EGI's Software Provisioning